## python-tcolorpy 0.1.1

=== Makefile ===
AUTHOR := thombashi
PACKAGE := tcolorpy
BUILD_WORK_DIR := _work
PKG_BUILD_DIR := $(BUILD_WORK_DIR)/$(PACKAGE)
PYTHON := python3


.PHONY: build
build: clean
	@tox -e build
	ls -lh dist/*

.PHONY: build-remote
build-remote: clean
	@mkdir -p $(BUILD_WORK_DIR)
	@cd $(BUILD_WORK_DIR) && \
		git clone https://github.com/$(AUTHOR)/$(PACKAGE).git --depth 1 && \
		cd $(PACKAGE) && \
		tox -e build
	ls -lh $(PKG_BUILD_DIR)/dist/*

.PHONY: check
check:
	@tox -e lint
	-travis lint

.PHONY: clean
clean:
	rm -rf $(BUILD_WORK_DIR)
	@tox -e clean

.PHONY: fmt
fmt:
	@tox -e fmt

.PHONY: release
release:
	@cd $(PKG_BUILD_DIR) && $(PYTHON) setup.py release --sign
	@make clean

.PHONY: setup
setup:
	@$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade -e .[test] releasecmd tox
	@$(PYTHON) -m pip check

=== debian/changelog ===
python-tcolorpy (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #1004335).

 -- Michael Fladischer <fladi@debian.org>  Tue, 25 Jan 2022 08:35:19 +0000

## python-tcolorpy 0.1.2

=== Makefile ===
--- 
+++ 
@@ -2,12 +2,13 @@
 PACKAGE := tcolorpy
 BUILD_WORK_DIR := _work
 PKG_BUILD_DIR := $(BUILD_WORK_DIR)/$(PACKAGE)
+
 PYTHON := python3
 
 
 .PHONY: build
 build: clean
-	@tox -e build
+	@$(PYTHON) -m tox -e build
 	ls -lh dist/*
 
 .PHONY: build-remote
@@ -21,22 +22,21 @@
 
 .PHONY: check
 check:
-	@tox -e lint
-	-travis lint
+	@$(PYTHON) -m tox -e lint
 
 .PHONY: clean
 clean:
-	rm -rf $(BUILD_WORK_DIR)
-	@tox -e clean
+	@rm -rf $(BUILD_WORK_DIR)
+	@$(PYTHON) -m tox -e clean
 
 .PHONY: fmt
 fmt:
-	@tox -e fmt
+	@$(PYTHON) -m tox -e fmt
 
 .PHONY: release
 release:
 	@cd $(PKG_BUILD_DIR) && $(PYTHON) setup.py release --sign
-	@make clean
+	@$(MAKE) clean
 
 .PHONY: setup
 setup:

=== debian/changelog ===
python-tcolorpy (0.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sat, 05 Mar 2022 17:35:33 +0000

=== debian/control ===
Source: python-tcolorpy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.6.0.1
Homepage: https://github.com/thombashi/tcolorpy/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tcolorpy
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tcolorpy.git
Rules-Requires-Root: no

Package: python3-tcolorpy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: apply true color for terminal text (Python3 version)
 tcolopy is a Python library to apply true color for terminal text. It supports
 foreground and background color in addition to styles like "bold", "italic",
 etc.
 .
 This package contains the Python 3 version of the library.

## python-tcolorpy 0.1.3

=== debian/changelog ===
python-tcolorpy (0.1.3-1) unstable; urgency=medium

  * New upstream version 0.1.3
  * Bump Standards-Version to 4.6.2.
  * Update d/copyright with new years.

 -- Michael Fladischer <fladi@debian.org>  Tue, 20 Jun 2023 20:37:36 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-all,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/thombashi/tcolorpy/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tcolorpy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tcolorpy.git

## python-tcolorpy 0.1.4

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 .PHONY: release
 release:
-	@cd $(PKG_BUILD_DIR) && $(PYTHON) setup.py release --sign
+	@cd $(PKG_BUILD_DIR) && $(PYTHON) setup.py release --sign --verbose
 	@$(MAKE) clean
 
 .PHONY: setup

=== debian/changelog ===
python-tcolorpy (0.1.4-1) unstable; urgency=low

  * New upstream version 0.1.4
  * Build using pybuild-plugin-pyproject and dh-sequence-python3.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Fri, 19 Jan 2024 13:59:18 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-pytest,
  python3-setuptools,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/python-tcolorpy-$1.tar.gz/ \
https://github.com/thombashi/tcolorpy/tags \
/thombashi/tcolorpy/archive/refs/tags/v([\d\.]+)\.tar\.gz

## python-tcolorpy 0.1.6

=== Makefile ===
AUTHOR := thombashi
PACKAGE := tcolorpy

BIN_DIR := $(shell pwd)/bin
BUILD_WORK_DIR := _work
PKG_BUILD_DIR := $(BUILD_WORK_DIR)/$(PACKAGE)

PYTHON := python3
BIN_CHANGELOG_FROM_RELEASE := $(BIN_DIR)/changelog-from-release

$(BIN_CHANGELOG_FROM_RELEASE):
	GOBIN=$(BIN_DIR) go install github.com/rhysd/changelog-from-release/v3@latest

.PHONY: build
build: clean
	@$(PYTHON) -m tox -e build
	ls -lh dist/*

.PHONY: build-remote
build-remote: clean
	@mkdir -p $(BUILD_WORK_DIR)
	@cd $(BUILD_WORK_DIR) && \
		git clone https://github.com/$(AUTHOR)/$(PACKAGE).git --depth 1 && \
		cd $(PACKAGE) && \
		tox -e build
	ls -lh $(PKG_BUILD_DIR)/dist/*

.PHONY: changelog
changelog: $(BIN_CHANGELOG_FROM_RELEASE)
	$(BIN_CHANGELOG_FROM_RELEASE) > CHANGELOG.md

.PHONY: check
check:
	@$(PYTHON) -m tox -e lint

.PHONY: clean
clean:
	rm -rf $(BIN_DIR) $(BUILD_WORK_DIR)
	$(PYTHON) -m tox -e clean

.PHONY: fmt
fmt:
	@$(PYTHON) -m tox -e fmt

.PHONY: release
release:
	$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade releasecmd setuptools
	$(PYTHON) setup.py release --sign --skip-uploading --verbose
	$(MAKE) clean

.PHONY: setup-ci
setup-ci:
	$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade pip
	$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade tox

.PHONY: setup
setup: setup-ci
	$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade -e .[test]
	$(PYTHON) -m pip check

.PHONY: test
test:
	$(PYTHON) -m tox -e py

=== debian/changelog ===
python-tcolorpy (0.1.6-1) unstable; urgency=low

  * New upstream version 0.1.6
  * Bump Standards-Version to 4.7.0.

 -- Michael Fladischer <fladi@debian.org>  Sat, 20 Jul 2024 17:36:25 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/thombashi/tcolorpy/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tcolorpy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tcolorpy.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=tcolorpy

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-tcolorpy 0.1.7

=== debian/changelog ===
python-tcolorpy (0.1.7-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.1.7
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no": it is the default now
  * Add build-dep on python3-setuptools-scm to avoid version=0.0.0
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Mon, 24 Nov 2025 13:38:17 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
  python3-all,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.7.0
+ python3-setuptools-scm,
+Standards-Version: 4.7.2
 Homepage: https://github.com/thombashi/tcolorpy/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tcolorpy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tcolorpy.git
-Rules-Requires-Root: no
 
 Package: python3-tcolorpy
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export PYBUILD_NAME=tcolorpy
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
